# NVXGpuMemoryInfo (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class NVXGpuMemoryInfo

    java.lang.Object
      org.lwjgl.opengl.NVXGpuMemoryInfo

    public final class NVXGpuMemoryInfo

extends java.lang.Object

Experimental extension, may be removed/changed in the future.

Field Summary
`static int` `GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX` Accepted by the <pname> parameter of GetIntegerv:
`static int` `GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX` Accepted by the <pname> parameter of GetIntegerv:
`static int` `GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX` Accepted by the <pname> parameter of GetIntegerv:
`static int` `GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX` Accepted by the <pname> parameter of GetIntegerv:
`static int` `GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX` Accepted by the <pname> parameter of GetIntegerv:

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX

    public static final int GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX

  Accepted by the <pname> parameter of GetIntegerv:

  See Also:
    Constant Field Values

### GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX

    public static final int GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX

  Accepted by the <pname> parameter of GetIntegerv:

  See Also:
    Constant Field Values

### GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX

    public static final int GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX

  Accepted by the <pname> parameter of GetIntegerv:

  See Also:
    Constant Field Values

### GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX

    public static final int GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX

  Accepted by the <pname> parameter of GetIntegerv:

  See Also:
    Constant Field Values

### GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX

    public static final int GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX

  Accepted by the <pname> parameter of GetIntegerv:

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.